aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xcb-utils/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-18 07:22:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-18 07:22:52 +0000
commitc2c43a0047caa02ea89db23a17e0020a2f837175 (patch)
treedbfc27efa79bce830dff511342a0033654b0678d /x11/xcb-utils/APKBUILD
parent72c72694180ee002cb38aca3899d90766ece7671 (diff)
downloadaports-c2c43a0047caa02ea89db23a17e0020a2f837175.tar.gz
aports-c2c43a0047caa02ea89db23a17e0020a2f837175.tar.bz2
aports-c2c43a0047caa02ea89db23a17e0020a2f837175.tar.xz
x11/xcb-util: new aport
Utility libraries for XC Binding http://xcb.freedesktop.org
Diffstat (limited to 'x11/xcb-utils/APKBUILD')
-rw-r--r--x11/xcb-utils/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/xcb-utils/APKBUILD b/x11/xcb-utils/APKBUILD
new file mode 100644
index 0000000000..22b454dfb6
--- /dev/null
+++ b/x11/xcb-utils/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xcb-util
+pkgver=0.3.3
+pkgrel=0
+pkgdesc="Utility libraries for XC Binding"
+url="http://xcb.freedesktop.org"
+license="GPL"
+subpackages="$pkgname-dev"
+depends="libxcb uclibc"
+makedepends="libxcb-dev gperf pkgconfig"
+source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2"
+
+depend_dev="libxcb-dev"
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="b1b16c5c1fcf7a6facb346c262cd3513 xcb-util-0.3.3.tar.bz2"